CVC4::RegExpHashFunction Struct Reference

Hash function for the RegExp constants. More...

`#include <regexp.h>`

## Public Member Functions

size_t | operator() (const RegExp &s) const

## Detailed Description

Hash function for the RegExp constants.

Definition at line 342 of file regexp.h.

## Member Function Documentation

## operator()()

size_t CVC4::RegExpHashFunction::operator() | ( | const RegExp & | s | ) | const

inline

Definition at line 343 of file regexp.h.

References CVC4::RegExp::getType().

The documentation for this struct was generated from the following file:

- src/util/regexp.h